Subject: Re: [rrg] RANGER(S)

From: [email-masked]
Date: Tue, 19 May 2009 15:21:47 EDT

Fred,
one by one, see inside.
Heiner

In einer eMail vom 19.05.2009 18:35:00 Westeuropäische Normalzeit schreibt  
[email-masked]:

Heiner, 
> I have never  understood either that inter- and intra-domain routing 
architectures have to  be such orthogonal. 
> So whatever I  proposed or supported so far was aiming to a consistent 
architectural  framework, too. 
> Routing, which  is not based on address summarization, would make sense 
inside of  intra-domain-networks as well. 
Do these other  approaches show how they recurse from the Internet core 
all the way to a  singleton node as the limiting factor for recursion – or  
even 
to virtual networks  within a singleton node?

Abjuring the address asummarization paradigm in inter-domain routing, why  
should I stick to it in intra-domain routing ?:-( However there, the need 
for a  fundamental change isn't as immense.

Do the other  approaches provide for discovery and utilization of multiple 
border  routers?
... border routers as understood by each individual approach. But the  
answer is yes.

Do they have  fully-articulated specifications for automatic EID and RLOC 
address  configuration?
There is no need for such things.  

Do they support  multihoming?
What a  question ! Of course, yes.

Provider-independent  addressing?
PI-  and PA- independent addressing, so to speak.

IPv6  deployment?
Yes, and whatever else.

Traffic  engineering?
It would provide a large meadow for TE, never ever seen before.
Secure  redirection? 
promised. 
Ingress  filtering?
Given I know the topology and not only 300 000 routes, why should ingress  
filtering not be possible?
Yes, it cannot be done as folks are used to.

What about  mobility?
You'll bet. Without geographical coordinates,  mobility wouldn't  be.

MTU handling for  tunnels?
Yes, I would also need some outer header, just like LISP.
But there is also an alternative: Realization inside layer 2. This would  
shift the routing archtitecture from IETF to IEEE. Think about it !
Do the other  approaches have their base mechanisms widely deployed 
in shipping  implementations for many years, and with many millions of 
users?_
What if you don't need huge core routers anymore ?

Is maturity  important to this group? What about  completeness?
What about going new paths for this group ?

Fred 
[email-masked]   

____________________________________
 
From:  [email-masked] [mailto:[email-masked]] 
Sent: Tuesday, May 19, 2009 12:31  AM
To: Templin, Fred L;  [email-masked]
Subject: Re:  [rrg] RANGER(S)

In einer eMail vom  19.05.2009 01:26:57 Westeuropäische Normalzeit schreibt 
 [email-masked]:

but in  our
experience RANGER(S) is the only proposal with a  consistent
architectural framework that applies recursively in  a
"network-of-networks" fashion from the global Internet core
all the  way outward to even the simplest of edge  networks.

I have never  understood either that inter- and intra-domain routing 
architectures have to  be such orthogonal.
 
So whatever I  proposed or supported so far was aiming to a consistent 
architectural  framework, too.
 
Routing, which is  not based on address summarization, would make sense 
inside of  intra-domain-networks as well.

Heiner